oasis_0.4.11-1build1_amd64.deb


Advertisement

Description

oasis - Build-system generation for OCaml projects -- binaries

Property Value
Distribution Ubuntu 19.10 (Eoan Ermine)
Repository Ubuntu Universe amd64
Package filename oasis_0.4.11-1build1_amd64.deb
Package name oasis
Package version 0.4.11
Package release 1build1
Package architecture amd64
Package type deb
Category universe/ocaml
Homepage http://oasis.forge.ocamlcore.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.06 MB
Installed size 4.89 MB
OASIS generates a full configure, build and install system for your
application. It starts with a simple `_oasis` file at the toplevel of your
project and creates everything required.
It uses external tools like OCamlbuild and it can be considered as the glue
between various subsystems that do the job. It should support the following
tools:
- OCamlbuild
- OMake (todo)
- OCamlMakefile (todo),
- ocaml-autoconf (todo)
It also features a do-it-yourself command line invocation and an internal
configure/install scheme. Libraries are managed through findlib. It has been
tested on GNU Linux and Windows.
OASIS supports standard entry points and descriptions. It helps to
integrates your libraries and software with third parties tools like GODI.
This package contains command-line tools.

Alternatives

Package Version Architecture Repository
oasis_0.4.11-1build1_i386.deb 0.4.11 i386 Ubuntu Universe
oasis - - -

Requires

Name Value
libc6 >= 2.29
liboasis-ocaml-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package oasis_0.4.11-1build1_amd64.deb
Source Package oasis

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install oasis deb package:
    # sudo apt-get install oasis

Changelog

2019-09-03 - Gianfranco Costamagna <locutusofborg@debian.org>
oasis (0.4.11-1build1) eoan; urgency=medium
* Rebuild against new OCAML ABIs.
2019-08-20 - Stéphane Glondu <glondu@debian.org>
oasis (0.4.11-1) unstable; urgency=medium
* New upstream release
* Disable tests (they depend on camlp4), clean up Build-Depends
2019-08-06 - Stéphane Glondu <glondu@debian.org>
oasis (0.4.10-3) unstable; urgency=high
* Force rebuild of all packages on buildds
* Bump debhelper compat level to 12
* Update Vcs-*
* Bump Standards-Version to 4.4.0
* Remove Hendrik from Uploaders
2017-07-21 - Stéphane Glondu <glondu@debian.org>
oasis (0.4.10-2) unstable; urgency=medium
* Team upload
* Add ocamlbuild to liboasis-ocaml-dev's Depends
2017-07-21 - Stéphane Glondu <glondu@debian.org>
oasis (0.4.10-1) unstable; urgency=medium
* Team upload
* New upstream release
- Remove patch (does not apply anymore)
* Add ocamlbuild and libexpect-ocaml-dev to Build-Depends
2016-08-16 - Stéphane Glondu <glondu@debian.org>
oasis (0.4.6-1) unstable; urgency=medium
[ Mehdi Dogguy ]
* Team upload
* New upstream release
- Drop libexpect-ocaml-dev from Build-Depends
* Install .cmt, cmti and .annot files in liboasis-ocaml-dev
* Bump Standards-Version to 3.9.8, no changes required.
[ Stéphane Glondu ]
* Update Vcs-*
2015-09-03 - Stéphane Glondu <glondu@debian.org>
oasis (0.4.5-1) unstable; urgency=low
[ Stéphane Glondu ]
* Team upload
* New upstream release
* Add camlp4 to Build-Depends
* Disable tests
[ Sylvain Le Gall ]
* Remove Sylvain Le Gall from Uploaders.
2014-06-14 - Stéphane Glondu <glondu@debian.org>
oasis (0.4.4-2) unstable; urgency=medium
* Team upload
* debian/patches:
+ Remove dynrun_for_release test (it times out on mips*)
* Bump Standards-Version to 3.9.5
2014-06-12 - Stéphane Glondu <glondu@debian.org>
oasis (0.4.4-1) unstable; urgency=low
[ Stéphane Glondu ]
* Team upload
* Imported upstream version 0.4.4 (Closes: #716728)
* Remove last patch, it has been applied upstream
[ Sylvain Le Gall ]
* Imported Upstream version 0.4.2.
* Remove most of the patches, they have been applied upstream.
2014-05-10 - Mehdi Dogguy <mehdi@debian.org>
oasis (0.3.0-5) unstable; urgency=medium
* Team upload.
* text.byte requires Extlib through TestCommon. Fixes "FTBFS: Error:
Unbound module ExtString" (Closes: #746095)

See Also

Package Description
oathtool_2.6.1-1.3_amd64.deb OATH Toolkit oathtool command line tool
obconf-qt-l10n_0.14.1-1ubuntu1_all.deb Language package for obconf-qt
obconf-qt_0.14.1-1ubuntu1_amd64.deb Openbox configuration with a Qt interface
obconf_2.0.4+git20150213-2_amd64.deb preferences manager for Openbox window manager
obex-data-server_0.4.6-1build1_amd64.deb D-Bus service for OBEX client and server side functionality
obexfs_0.11-2build1_amd64.deb mount filesystem of ObexFTP capable devices
obexftp_0.24-6_amd64.deb file transfer utility for devices that use the OBEX protocol
obexpushd_0.11.2-1.1build2_amd64.deb program for receiving files via Bluetooth or IRDA
obfs4proxy_0.0.7-4_amd64.deb pluggable transport proxy for Tor, implementing obfs4
obfsproxy_0.2.13-3_all.deb pluggable transport proxy for Tor
obitools_1.2.12+dfsg-2_amd64.deb programs to analyze NGS data in a DNA metabarcoding context
objcryst-fox_1.9.6.0-2.1build1_amd64.deb Free Objects for Xtallography
obmenu_1.0-4_amd64.deb Graphical menu editor for openbox
obs-api_2.9.4-2_all.deb Open Build Service (API)
obs-build_20180831-3_all.deb scripts for building RPM/debian packages for multiple distributions
Advertisement
Advertisement